{ nodes, ... }:
{
  nix = {
    buildMachines = with nodes; [
      {
        hostName = midas.config.deployment.targetHost;
        system = midas.config.nixpkgs.localSystem.system;
        publicHostKey = "AAAAC3NzaC1lZDI1NTE5AAAAIFcFMvrx9/iUZ1mEubf+QF1i3LNTxFhaU/1zFSjdo0kK";
        protocol = "ssh-ng";
      }
      {
        hostName = kitty.config.deployment.targetHost;
        system = kitty.config.nixpkgs.localSystem.system;
        publicHostKey = "AAAAC3NzaC1lZDI1NTE5AAAAIIrGmsya5DXKuXO6jNjUlrYHqk49KLzxM/60GXtLRLrL";
        protocol = "ssh-ng";
      }
      {
        hostName = detritus.config.deployment.targetHost;
        system = detritus.config.nixpkgs.localSystem.system;
        publicHostKey = "AAAAC3NzaC1lZDI1NTE5AAAAIN+GvLro4DVmlvmXcasU1gctIX9qct7mZtElpB735AoL";
        protocol = "ssh-ng";
      }
      {
        hostName = elder.config.deployment.targetHost;
        system = elder.config.nixpkgs.localSystem.system;
        publicHostKey = "AAAAC3NzaC1lZDI1NTE5AAAAIFjmJ6bkuO57gp6GZDEfR1O7krdf5wiqrOBC5pzTDl91";
        protocol = "ssh-ng";
      }
      {
        hostName = prophet.config.deployment.targetHost;
        system = prophet.config.nixpkgs.localSystem.system;
        publicHostKey = "AAAAC3NzaC1lZDI1NTE5AAAAICrp3Y/X2BRUENx+0GMTmB1VDA6SiwkGgdJMHSdMMepM";
        protocol = "ssh-ng";
      }
    ];
    distributedBuilds = true;
    settings.trusted-users = [ "root" ];
  };
}
